KDE4 ?

lux-integ lux-integ at btconnect.com
Mon Apr 20 12:39:10 PDT 2009


On Monday 20 April 2009 06:16:07 pm Nicolas FRANCOIS wrote:
> Hi.
>
> I'd like to start a new LFS system, but one of my motivations (apart from
> having up to date libs) is KDE4 (and Xorg 7.4, and VLC...).
>
> I didn't see anything on the LFS site, nor on the CBLFS site, so I'm
> asking the list : is there a sufficiently precise set of instructions for
> compiling this big project ? Is it stable enough for a personnal computer
> (not a production machine... well, sort of... production for my work :-)
>
> Thanks for any clue.
>
> \bye
>
> --
>
> Nicolas FRANCOIS                      |  /\
> http://nicolas.francois.free.fr       | |__|
> 				      X--/\\
> We are the Micro$oft.		        _\_V
> Resistance is futile.
> You will be assimilated.         darthvader penguin

#####for kde####

I had a go with 4.2.1.  This is the sequence   that  worked for me  (I am 
still struggling with gnash  (though not part of kde) (ps I am using a 64-bit  
only (AMD64)  setup)    I hope this is of help.

xdaliclock-2.25.tar.gz
libggz-0.0.14.1.tar.gz
ggz-client-libs-0.0.14.1.tar.gz
openbabel-2.2.0.tar.gz
tidy_src_CVS.tar.bz2
kde-prelims
QCA-2.0.0SVN3209
getfem++-3.0.5.tar.gz
kde-support-prelim
kde-support-automoc
kde-support-akonandi
kde-support-eigen*
kde-support-eigen2
kde-support-taglib
soprano-2.2.1.tar.bz2
kde-support-strigi
kde-support-qimageblitz
kde-support-phonon
kde-support-cpptoxml
kdelibs-4.2.1.tar.bz2
eet-svn-35608tar.bz2
qzion-0.3.0.tar.gz
qedje-0.3.0.CMAKEFIX.tar.bz2

google-gadgets-for-linux-0.10.5.tar.bz2
capseoGIT23209.tar.bz2
libcapturyGIT23209.tar.bz2
kdebindings-4.2.1.tar.bz2-pASS1

kdebase-workspace-4.2.1.tar.bz2
kdebase-4.2.1.tar.bz2
kdebase-runtime-4.2.1.tar.bz2
startKDE//do webkit here
webkitkde_0.1~svn090218.orig.tar.gz
kdepimlibs-4.2.1.tar.bz2
kdebindings-4.2.1.tar.bz2-PASS2
kdeadmin-4.2.1.tar.bz2
kdenetwork-4.2.1.tar.bz2
kdepim-4.2.1.tar.bz2
kdemultimedia-4.2.1.tar.bz2
kdegraphics-4.2.1.tar.bz2
kdeutils-4.2.1.tar.bz2
kdeedu-4.2.1.tar.bz2 (check the archives here for a suitable patch for 
libqalculate)
kdeaccessibility-4.2.1.tar.bz2
kdetoys-4.2.1.tar.bz2
kdegames-4.2.1.tar.bz2
kdeartwork-4.2.1.tar.bz2
kde-l10n-en_GB-4.2.1.tar.bz2
kdeplasma-addons-4.2.1.tar.bz2
kdewebdev-4.2.1.tar.bz2 ((If you want Ruby dont forget to  do --enable shared  
in the configure script)
kdesdk-4.2.1.tar.bz2

libflashplayer-10.0.22.87.linux-x86_64.so.tar.gz
gnash-0.8.5.tar.bz2--> still struggling with this  

########### for vlc
the latest version  vlc-0.9.9.    compiles fairly trouble free for 64-bit 
AMD64. I had two problems
a) I have my firefox in /opt and    vlc  needs a little fiddling with   to 
find the firefox-sdk.
b) live555 needs compiling -with-fPIC    and you have to hack into the 
Makefile to accomplish this,  it is also statically linked.

#######for xorg7.4  
I think the stuff on blfs or cblfs works 

sincerely
lux-integ



More information about the blfs-support mailing list